#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk
export ERL_COMPILER_OPTIONS=deterministic

DESTDIR=$(CURDIR)/debian/erlang-p1-pam


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_configure:
	./configure
	dh_auto_configure


override_dh_auto_install:
	dh_auto_install
	dh_install priv/bin/* /usr/lib/erlang/p1_pam/bin/


override_dh_gencontrol:
	find $(DESTDIR) -type d -empty -delete
	dh_gencontrol


override_dh_auto_clean:
	rm -f config.log config.status
	dh_auto_clean
